import { ApolloServer } from 'apollo-server-fastify';
import fastify from 'fastify';
import { DocumentNode } from 'graphql';
export declare type StringOrAst = string | DocumentNode;
export declare type Options<T extends object> = {
    variables?: T;
};
export declare type TestClientConfig = {
    apolloServer: ApolloServer;
    extendMockRequest?: fastify.HTTPInjectOptions;
};
export declare type TestQuery = <T extends object = {}, V extends object = {}>(operation: StringOrAst, { variables }?: Options<V>) => Promise<T>;
export declare type TestSetOptions = (options: {
    request?: fastify.HTTPInjectOptions;
}) => void;
export declare function createTestClient({ apolloServer, extendMockRequest, }: TestClientConfig): {
    query: TestQuery;
    mutate: TestQuery;
    setOptions: TestSetOptions;
};
